Subject: Re: Support reproducible builds

From: Andreas Rammhold <[email-masked]>
Date: Mon, 1 Jun 2020 22:45:51 +0200

I've just stumpled upon this as within Nixpkgs we have a pending [PR]
that references this issue. Since it reads as if it should be solved in
Guile 2.1+ but still occurs for us in nixpkgs when using parallel builds
(aka using multiple cores in a single build) I thought it might be a
good to get in touch.

Updating our expression to Guile 3.0.2 did not fix the reproducibility
issues either (when built using multiple cores).

I've just now tried a Guix 1.1.0 QEMU image and invoked `guix build
--round=2 -K guile --check -c 8` and it also wasn't reproducible. A
bunch of .go files showed differences between the builds.

Am I missings something?

Would gladly help if there is something I can do.

[PR]: https://github.com/NixOS/nixpkgs/pull/78778